View Issue Details

IDProjectCategoryView StatusLast Update
13645Bug reports[All Projects] Translationpublic2018-05-25 11:30
ReportervegalimeAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version3.7.x 
Summary13645: Error message Google Translate API
Description

We want to use the Google Translate API in order to translate our surveys.

After buying an API key we specified that key within the global settings and tested the functionaltiy. However when clicking the "Auto translate" button there is an error message reading "There was an error using the Google API. Detailed Error: true".

I already found some forum posts saying that Lime Survey doesn't support the Google Translate V2 API.

Is that true?
How can I get the this working?

Steps To Reproduce

Clicking the "Auto translate" button after specifing the Google Translate API key within the global settings

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.7.1+ 180424
I will donate to the project if issue is resolvedYes
Browser
Database & DB-VersionMySQL
Server OS (if known)Windows Server 2016
Webserver software & version (if known)Apache
PHP Version 7.0.28

Activities

c_schmitz

c_schmitz

2018-05-23 11:00

administrator   ~47731

Afaik we support the API v2. Dominik, please check (let me know if you need a test key)

dominikvitt

dominikvitt

2018-05-25 11:10

developer   ~47811

https://github.com/LimeSurvey/LimeSurvey/commit/1a4b965dd10b03c1feeb902824622bbbc6849e4b

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47812

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2018-05-02 15:24 vegalime New Issue
2018-05-16 12:32 LouisGac Assigned To => c_schmitz
2018-05-16 12:32 LouisGac Status new => assigned
2018-05-23 11:00 c_schmitz Assigned To c_schmitz => dominikvitt
2018-05-23 11:00 c_schmitz Note Added: 47731
2018-05-25 10:09 dominikvitt Status assigned => resolved
2018-05-25 10:09 dominikvitt Resolution open => fixed
2018-05-25 10:09 dominikvitt Fixed in Version => 3.7.x
2018-05-25 11:10 dominikvitt Note Added: 47811
2018-05-25 11:30 c_schmitz Note Added: 47812
2018-05-25 11:30 c_schmitz Status resolved => closed